$ErrorActionPreference = 'Stop';

$packageName= 'invantive-estate-for-windows'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.31.0-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Estate%20for%20Windows-17.31.0-BETA.msi'
  softwareName = 'Invantive Estate for Windows'
  checksum = 'AA5298D3720DA3B402805F85EECB5BE6A8E4F09E94171FEF990D8F71063729C8'
  checksumType = 'sha256'
  checksum64 = 'AA5298D3720DA3B402805F85EECB5BE6A8E4F09E94171FEF990D8F71063729C8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-estate-for-windows-17.31.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
